<h2>Manage Custom Ticket Fields</h2><?cs

if admin.field.name ?>
 <form class="mod" id="modcomp" method="post">
  <fieldset>
   <legend>Modify Component:</legend>
   <div class="field">
    <label>Name:<br /><input type="text" name="name" value="<?cs
      var:admin.component.name ?>"></label>
   </div>
   <div class="field">
    <label>Owner:<br /><?cs
     if:len(admin.owners) ?><?cs
      call:hdf_select(admin.owners, "owner", "", 0) ?><?cs
     else ?><input type="text" name="owner" value="<?cs
      var:admin.component.owner ?>" /><?cs
     /if ?></label>
   </div>
   <div class="field">
    <fieldset class="iefix">
     <label for="description">Description (you may use <a tabindex="42" href="<?cs
       var:trac.href.wiki ?>/WikiFormatting">WikiFormatting</a> here):</label>
     <p><textarea id="description" name="description" class="wikitext" rows="6" cols="60"><?cs
       var:admin.component.description ?></textarea></p>
    </fieldset>
   </div>
   <script type="text/javascript" src="<?cs
     var:chrome.href ?>/common/js/wikitoolbar.js"></script>
   <div class="buttons">
    <input type="submit" name="cancel" value="Cancel" />
    <input type="submit" name="save" value="Save" />
   </div>
  </fieldset>
 </form><?cs

else ?>
 <form class="addnew" id="addcomp" method="post">
  <fieldset>
   <legend>Add Component:</legend>
   <div class="field">
    <label>Name:<br /><input type="text" name="name" /></label>
   </div>
   <div class="field">
    <label>Owner:<br /><?cs
     if:len(admin.owners) ?><?cs
      call:hdf_select(admin.owners, "owner", "", 0) ?><?cs
     else ?><input type="text" name="owner" /><?cs
     /if ?></label>
   </div>
   <div class="buttons">
    <input type="submit" name="add" value="Add">
   </div>
  </fieldset>
 </form><?cs

 if:len(admin.fields) ?><form method="POST">
  <table class="listing" id="complist">
   <thead>
    <tr><th class="sel">&nbsp;</th><th>Name</th>
    <th>Type</th><th>Default</th></tr>
   </thead><?cs
   each:field = admin.fields ?>
    <tr>
     <td class="sel"><input type="checkbox" name="sel" value="<?cs
       var:field.name ?>" /></td>
     <td class="name"><a href="<?cs var:field.href?>"><?cs
       var:field.label ?></a></td>
     <td class="type"><?cs var:field.type ?></td>
     <td class="default"><?cs var:field.value ?></td>
    </tr><?cs
   /each ?>
  </table>
  <div class="buttons">
   <input type="submit" name="remove" value="Remove selected items" />
   <input type="submit" name="apply" value="Apply changes" />
  </div>
 </form><?cs
 /if ?><?cs

/if ?>
